#norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: An interactive PHP Shell
Name: php5-pear-php_shell
Version: 0.3.0
Release: 1.3
License: MIT
Group: Development/Libraries
Source0: http://pear.php.net/get/PHP_Shell-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://pear.php.net/package/PHP_Shell
BuildArchitectures: noarch
BuildRequires: php5-pear
PreReq: php5-pear

%description
a interactive PHP Shell with tab-completion, inline help and handling of
FATAL errors

%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir}/php5/extensions \
        -s

%build

%install

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Shell.xml

%clean
rm -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Shell.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only PHP_Shell
fi

%files
%defattr(-,root,root)
%doc docs/PHP_Shell/{examples/php-shell-cmd.php,README}
%{peardir}/*
%{_bindir}/php-shell.sh
%{xmldir}/PHP_Shell.xml
